-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 04102 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=04102;

-- New table for user settings.
create table USER_SETTINGS (
    USER_SETTING_ID number constraint NOT_NULL_USER_SETTING_ID not null,
    USER_ID number constraint NOT_NULL_US_USER_ID not null,
    ATTR varchar2(255) constraint NOT_NULL_US_ATTR not null,
    VALUE clob constraint NOT_NULL_US_VALUE not null,
    constraint PK_USER_SETTINGS primary key (USER_SETTING_ID)
);

-- User + Attribute must be unique.
create unique index IDX_UNIQUE_USER_SETTING on USER_SETTINGS
    (USER_ID, ATTR);

create index IDX_USER_SETTING_USER on USER_SETTINGS (USER_ID);

alter table USER_SETTINGS
    add constraint FK_USER_SETTING_USER
    foreign key (USER_ID)
    references USERS
    deferrable initially immediate;
